#pragma once

#include <QWidget>
#include "ui_QCarDealerAchievementWidget.h"
#include "../../Data/Datastructure/CarDealerAchievement/CarDealerAchievement.h"

class QCarDealerAchievementWidget : public QWidget
{
	Q_OBJECT

public:
	QCarDealerAchievementWidget(QWidget *parent = Q_NULLPTR);
	~QCarDealerAchievementWidget();

protected Q_SLOTS:
	void onImport();
	void showCarDealerAchievement();
	
private:
	void init();
	void initData();
	void initWidgets();
	void initSignal();
	
private:
	Ui::QCarDealerAchievementWidget ui;

	//数据
	std::vector<CarDealerAchievement> achievementVector;
};
